var list = [10, 30, 5, 60, 40, 178, 56, 130, 24, 80];
var svgWidth = 320;	// SVG領域の横幅
var svgHeight = 240;	// SVG領域の縦幅
var step = svgWidth/(list.length-1);	// 折れ線グラフの間隔
// SVGの表示領域を生成
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
// 折れ線を生成
var line = d3.svg.line()
	.x(function(d, i){ return i * step; })	// 横方向はSVG領域に合わせて調整
	.y(function(d){ return svgHeight-d; })	// 縦方向は数値そのままでスケール等しない
// 折れ線グラフを描画
svg.append("path")
        .attr("d", line(list))	// 線を描画
        .attr("stroke", "black")	// 線の色を指定
        .attr("fill", "none");	// 塗り潰しなし。指定しないと黒色で塗り潰される
// 塗り潰し領域を生成
var area = d3.svg.area()
	.x(function(d,i) { return i*step })
	.y0(function(d,i) { return svgHeight;})
	.y1(function(d,i) { return svgHeight-d; });
// 領域を描画
svg.append("path")
	.attr("d", area(list))
	.attr("fill", "red");	// 赤色で塗り潰し
